package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :mes状态配置表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-09-19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_STATUS")
@Api("系统业务动作")
public class MesStatus extends BaseBean {
    @Column(name="STATUS_CODE")
    @ApiParam("状态代码")
    private String statusCode;

    @Column(name="STATUS_NAME")
    @ApiParam("状态名称")
    private String statusName;

    @Column(name="STATUS_VALUE")
    @ApiParam("状态值")
    private Integer statusValue;

    @Column(name="STATUS_FIELD")
    @ApiParam("状态字段")
    private String statusField;

    public int getStatusValueVal() {
        return this.statusValue == null ? 0 : this.statusValue;
    }
}
